package com.gyee.runeconomy.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.gyee.runeconomy.model.PowerLosses;
import com.baomidou.mybatisplus.extension.service.IService;

import java.time.LocalDateTime;
import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author wang
 * @since 2025-02-24
 */
public interface PowerLossesService extends IService<PowerLosses> {

    IPage<PowerLosses> pageList(Page<PowerLosses> page, LocalDateTime startTs, LocalDateTime endTs);
    List<PowerLosses> pageTotalList(LocalDateTime startTs, LocalDateTime endTs);
}
